package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.ClassGroup;

/**
 * 提交班
 */
public class HighClassGroup extends ClassGroup {

	@ApiModelProperty(value = "教师user_id",required = true)
	private int userId;

	@ApiModelProperty(value = "星期几",required = true)
	private String dayOfWeek;

	@ApiModelProperty(value = "开始时间",required = true)
	private Date startClassTime;

	@ApiModelProperty(value = "结束时间",required = true)
	private Date endClassTime;


	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public Date getStartClassTime() {
		return startClassTime;
	}

	public void setStartClassTime(Date startClassTime) {
		this.startClassTime = startClassTime;
	}

	public Date getEndClassTime() {
		return endClassTime;
	}

	public void setEndClassTime(Date endClassTime) {
		this.endClassTime = endClassTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(String dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}
}
