package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.StudentRechargeDao;
import com.ym.mec.biz.dal.entity.StudentRecharge;
import com.ym.mec.biz.service.StudentRechargeService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class StudentRechargeServiceImpl extends BaseServiceImpl<String, StudentRecharge>  implements StudentRechargeService {
	
	@Autowired
	private StudentRechargeDao studentRechargeDao;

	@Override
	public BaseDAO<String, StudentRecharge> getDAO() {
		return studentRechargeDao;
	}
	
}